org.eclipse.rdf4j.query.parser.sparql

## Class WildcardProjectionProcessor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.WildcardProjectionProcessor

- All Implemented Interfaces:
    org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
      public class WildcardProjectionProcessor
      extends AbstractASTVisitor

  Processes 'wildcard' projections, making them explicit by adding the appropriate variable nodes to them.
  Author:
    arjohn, Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardProjectionProcessor()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `process(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer container)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WildcardProjectionProcessor

          public WildcardProjectionProcessor()

      Deprecated.

  - ### Method Detail

    - #### process

          public static void process(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer container)
                              throws MalformedQueryException

      Deprecated.
      Throws:
        `MalformedQueryException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.